# Byte-compiled / optimized / DLL files
__pycache__/

# PEP 582; used by e.g. github.com/David-OConnor/pyflow
__pypackages__/

# Distribution / packaging
.Python
build/
develop-eggs/
dist/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
share/python-wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# TeX autogenerated files
*.aux
*.log
*.pdf
*.synctex.gz
*.sh

# Generated results from FEniCS/Python plots, etc...
*.xdmf
*.h5
*.pyc

# Jupyter checkpoints
*.ipynb
.ipynb_checkpoints/

# Paraview state files
*.pvsm

# Submission
**/*.synctex.gz
**/*.log
**/*.aux
**/*.pdf

# published article exception and
# TeX exceptions
!/tex/**/*.png
!conferences/**/*
conferences/**/*.synctex.gz
conferences/**/*.aux
conferences/**/*.log

!article_published.pdf
